- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# swupd – Manages updates and bundles in ClearLinux systems

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- Manages updates and bundles with the swupd bundle manager, which is used by the Clear Linux Project for Intel Architecture.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
contenturl - |  | URL pointing to the contents of available bundles. If not specified, the contents are retrieved from clearlinux.org.
format - |  | The format suffix for version file downloads. For example [1,2,3,staging,etc]. If not specified, the default format is used.
manifest - |  | The manifest contains information about the bundles at certain version of the OS. Specify a Manifest version to verify against that version or leave unspecified to verify against the current version. aliases: release, version
name - |  | Name of the (I)bundle to install or remove. aliases: bundle
state - | Choices: present ← absent | Indicates the desired (I)bundle state. `present` ensures the bundle is installed while `absent` ensures the (I)bundle is not installed.
update boolean | Choices: no yes | Updates the OS to the latest version.
url - |  | Overrides both contenturl and versionurl.
verify boolean | Choices: no yes | Verify content for OS version.
versionurl - |  | URL for version string download.

## Examples

    - name: Update the OS to the latest version
      swupd:
        update: yes

    - name: Installs the "foo" bundle
      swupd:
        name: foo
        state: present

    - name: Removes the "foo" bundle
      swupd:
        name: foo
        state: absent

    - name: Check integrity of filesystem
      swupd:
        verify: yes

    - name: Downgrade OS to release 12920
      swupd:
        verify: yes
        manifest: 12920

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
stderr string | always | stderr of swupd
stdout string | always | stdout of swupd

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Alberto Murillo (@albertomurillo)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.